---
title: Get all Google Chat organization bindings
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Google Chat Integration
---

# Get all Google Chat organization bindings{% #get-all-google-chat-organization-bindings %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                   |
| ----------------- | ------------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/google-chat/organizations      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/google-chat/organizations      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/google-chat/organizations  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/google-chat/organizations     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations |

### Overview

Get a list of all Google Chat organization bindings in the Datadog Google Chat integration.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of Google Chat organization bindings.

| Parent field   | Field                  | Type     | Description                                                                                 |
| -------------- | ---------------------- | -------- | ------------------------------------------------------------------------------------------- |
|                | data [*required*] | [object] | An array of Google Chat organization bindings.                                              |
| data           | attributes             | object   | Google Chat organization attributes.                                                        |
| attributes     | domain_id              | string   | The Google Chat organization domain ID.                                                     |
| attributes     | domain_name            | string   | The Google Chat organization domain name.                                                   |
| data           | id                     | string   | The ID of the Google Chat organization binding.                                             |
| data           | relationships          | object   | Google Chat organization relationships.                                                     |
| relationships  | delegated_user         | object   | The delegated user relationship.                                                            |
| delegated_user | data                   | object   | Delegated user relationship data.                                                           |
| data           | id                     | string   | The ID of the delegated user.                                                               |
| data           | type                   | enum     | Google Chat delegated user resource type. Allowed enum values: `google-chat-delegated-user` |
| data           | type                   | enum     | Google Chat organization resource type. Allowed enum values: `google-chat-organization`     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "domain_id": "fake-domain-id",
        "domain_name": "example.com"
      },
      "id": "5ce87709-a12f-4086-fcc8-147045b73a19",
      "relationships": {
        "delegated_user": {
          "data": {
            "id": "2b3c4d5e-6f78-9012-bcde-f23456789012",
            "type": "google-chat-delegated-user"
          }
        }
      },
      "type": "google-chat-organization"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/google-chat/organizations" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get all Google Chat organization bindings returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.google_chat_integration_api import GoogleChatIntegrationApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = GoogleChatIntegrationApi(api_client)
    response = api_instance.list_google_chat_organizations()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get all Google Chat organization bindings returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::GoogleChatIntegrationAPI.new
p api_instance.list_google_chat_organizations()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get all Google Chat organization bindings returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewGoogleChatIntegrationApi(apiClient)
	resp, r, err := api.ListGoogleChatOrganizations(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `GoogleChatIntegrationApi.ListGoogleChatOrganizations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `GoogleChatIntegrationApi.ListGoogleChatOrganizations`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get all Google Chat organization bindings returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.GoogleChatIntegrationApi;
import com.datadog.api.client.v2.model.GoogleChatOrganizationsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    GoogleChatIntegrationApi apiInstance = new GoogleChatIntegrationApi(defaultClient);

    try {
      GoogleChatOrganizationsResponse result = apiInstance.listGoogleChatOrganizations();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling GoogleChatIntegrationApi#listGoogleChatOrganizations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get all Google Chat organization bindings returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_google_chat_integration::GoogleChatIntegrationAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = GoogleChatIntegrationAPI::with_config(configuration);
    let resp = api.list_google_chat_organizations().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get all Google Chat organization bindings returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.GoogleChatIntegrationApi(configuration);

apiInstance
  .listGoogleChatOrganizations()
  .then((data: v2.GoogleChatOrganizationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
